Get a user
import requests
url = "https://{FUSION HOST}/api/users/{id}"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/users/{id}")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION HOST}/api/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/users/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/users/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/users/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{FUSION HOST}/api/users/{id}{
"id": "fe0885f2-8885-4c46-a3ea-8e5d0041c293",
"username": "1new-user-test",
"realmName": "native",
"createdAt": "2025-10-30T21:59:01Z",
"roleNames": [
"search",
"developer"
],
"timezone": "Mountain Time (US & Canada)",
"permissions": [
{
"methods": [
"GET",
"PUT",
"POST"
]
}
]
}{
"traceId": "cc381553-730635",
"service": "proxy",
"error": "not-found",
"path": "/api/users/fe0885f2-8885-4c46-a3ea-8e5d0041c292",
"timestamp": "2025-10-31T19:19:54.548728451"
}Get a user
Fetch the details about the user with the specified ID.
GET
/
users
/
{id}
Get a user
import requests
url = "https://{FUSION HOST}/api/users/{id}"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/users/{id}")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION HOST}/api/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/users/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/users/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/users/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Path Parameters
The user ID. Note that this is different than the username. Use GET /users to get the list of user IDs.
Response
Successful operation
Example:
"fe0885f2-8885-4c46-a3ea-8e5d0041c293"
Example:
"admin"
Example:
"ldap-internal"
Example:
"2025-09-23T17:48:07Z"
Example:
"2025-10-31T12:28:04Z"
Indicates which roles are dynamically applied to users in the realm.
Example:
["search", "developer"]
Example:
"Pacific Time (US & Canada)"
Show child attributes
Show child attributes
Was this page helpful?
⌘I